List all Originators
curl --request GET \
--url https://api.sandbox.lead.bank/v0/originators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v0/originators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v0/originators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objects": [
{
"id": "originator_xyz123",
"account_id": "account_xyz123",
"entity_id": "entity_xyz123",
"status": "active",
"company_name": "Acme Inc.",
"company_id": 1234567890,
"ach": {
"allowed_sec_codes": [
"WEB"
],
"limits": {
"calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
},
"rolling_30_calendar_day_maximum_amount": {
"credit": 495000000000,
"debit": 495000000000
}
},
"nested_third_parties": [
"entity_xyz123"
]
},
"metadata": {},
"created_at": "2022-06-27T11:22:33Z",
"updated_at": "2022-06-27T11:22:33Z"
}
],
"has_more": true
}{
"code": "parameters_invalid",
"title": "Your request parameters did not validate.",
"status": "400"
}{
"code": "operation_not_allowed",
"title": "Operation cannot be done on this object.",
"status": "403"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"status": "<string>",
"invalid_parameters": [
{
"parameter": "transaction_type",
"reason": "<string>"
}
],
"instance": "<string>"
}ACH Originator
List all Originators
List all Originators.
GET
/
v0
/
originators
List all Originators
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The account ID to retrieve the originators for.
Pattern:
^account_\w+$Maximum number of objects to be returned.
Required range:
1 <= x <= 100The ID of the originator to start the list after.
Pattern:
^originator_\w+$The ID of the originator to end the list before.
Pattern:
^originator_\w+$The status of the originator.
Was this page helpful?
⌘I

